@import url('https://fonts.googleapis.com/css2?family=Karla:wght@400;700&display=swap');

:root {
  --cyan: hsl(179, 62%, 43%);
  --mediumCyan: #4abebd;
  --brightYellow: hsl(71, 73%, 54%);
  --lightGray: hsl(204, 43%, 93%);
  --grayishBlue: hsl(218, 22%, 67%);
  --translucentGrayishBlue: hsl(218, 22%, 67%, .4);
}

* {
  margin: 0;
  border: none;
  padding: 0;
  box-sizing: border-box;
  font-size: 16px;
}

#root {
  background: var(--lightGray);
  display: grid;
  place-items: center;
  font-family: 'Karla', sans-serif;
}

.card {
  margin-top: 72px;
  width: clamp(310px, 636px, 80%);
  box-shadow: 0px 15px 30px var(--translucentGrayishBlue);
  border-radius: 5px;
  overflow: hidden;
  display: flex;
  flex-wrap: wrap;
}

section[class^="section"] {
  padding-left: 23.6px;
  padding-right: 23.6px;
}

.section-1 {
  background: white;
  padding-top: 28px;
  padding-bottom: 32px;
}

.section-1 h2 {
  font-size: 19.5px;
  color: var(--cyan);
}

.section-1 h3 {
  color: var(--brightYellow);
  margin-top: 24px;
  font-size: 14.6px;
  line-height: 20px;
}

.section-1 p {
  color: var(--grayishBlue);
  margin-top: 16px;
  font-size: 13.6px;
  line-height: 26px;
}

.section-2,
.section-3 {
  width: 100%;
  color: white;
}

.section-2 {
  background: var(--cyan);
  padding-top: 25px;
  padding-bottom: 24px;
}

.section-2 h2 {
  font-size: 17.5px;
}

.price {
  margin-top: 18px;
  display: flex;
  align-items: center;
}

.amount {
  font-weight: 700;
  font-size: 32px;
  margin-right: 7.2px;
}

.period {
  font-size: 15.7px;
  opacity: .5;
}

.section-2 p {
  margin-top: 8px;
  font-size: 15.6px;
}

.section-2 button {
  margin-top: 30px;
  box-shadow: 0 7px 15px darkcyan;
  border-radius: 5px;
  height: 48px;
  width: 100%;
  background: var(--brightYellow);
  color: #feffca;
  font-family: 'Karla', sans-serif;
  font-weight: 700;
}

.section-3 {
  background: var(--mediumCyan);
  padding: 24px 0;
}

.section-3 h2 {
  font-size: 17.7px;
}

ul {
  list-style-type: none;
  margin-top: 18px;
}

li {
  font-size: 13.7px;
  opacity: .8;
  line-height: 20px;
}

footer {
  margin-top: 22px;
  padding: 0 10px;
  margin-bottom: 16px;
}

.attribution {
  font-size: 15px;
  text-align: center;
}

.attribution a {
  color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 376px) {
  .card {
    margin-top: 163px;
  }

  section[class^="section"] {
    padding-left: 41px;
    padding-right: 40px;
  }

  .section-1 {
    padding: 40px 0;
  }

  .section-1 p {
    margin-top: 11px;
    font-size: 15.63px;
    line-height: 26px;
  }

  .section-1 h2 {
    font-size: 23.5px;
  }

  .section-1 h3 {
    margin-top: 25px;
    font-size: 17.6px;
  }

  .section-2,
  .section-3 {
    padding-top: 40px;
    padding-bottom: 39px;
  }

  .section-2 h2 {
    font-size: 17.6px;
  }

  .section-3 h2 {
    font-size: 17.7px;
  }

  footer {
    margin-top: 123px;
    margin-bottom: 20px;
  }
}

@media only screen and (min-width: 795px) {

  .section-2,
  .section-3 {
    width: 318px;
  }
}